QGIS Application - Bug report #14382
New QGIS Build displays JP2 Files as Black Square
2016-02-26 07:22 AM - Luc Janssens

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 22364
Description

After Install of the actual QGIS Build on my work-PC, via OSGeo Installer, JP2 files are loaded extremely slowly and are eventually
displayed as black squares.

As long as these files are turned on in the legend, the performance is extremely bad (waiting minutes for display refresh instead of
seconds)

| installed QGIS today on a fresh PC (with the OSGEOQ Installer) for testing, but the result remains the same.
| suspect that the GDAL Provider is playing tricks on us.
The JP2 files are downloadable from the official Flemish GIS Portal at download.agiv.be

Here is a download link to one of these files.
https://downloadagiv.blob.core.windows.net/omwrgb15vl/Per%20provincie%20per%20gemeente/Antwerpen/OMWRGB15VL_12021.zip

For the time being, i will not upgrade my end-users

Regards

Luc Janssens
GIS-Cobrdinator
City of Lier, Belgium

History

#1 - 2016-02-26 11:55 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Not reproducable with master as of commit:191476b (64bit)

#2 - 2016-03-16 09:20 AM - Luc Janssens
- % Done changed from 0 to 100

Latest releases fixed it...
All users on new version!

Great job.

#3 - 2016-03-16 10:28 AM - Jiirgen Fischer
https://downloadagiv.blob.core.windows.net/omwrgb15vl/Per%20provincie%20per%20gemeente/Antwerpen/OMWRGB15VL_12021.zip

- Resolution set to worksforme

- Status changed from Feedback to Closed
